Skip to content
On this page

Fetch Suppliers ​

Retrieve a list of suppliers from your store.

Endpoint ​

GET /api/suppliers/search

Query Parameters ​

NameTypeDescription
pageintPage number (optional)
limitintItems per page (optional)
searchstringSearch by name, company, etc.

Response ​

json
{
  "results": [
    {
      "_id": "string",
      "storeId": "string",
      "name": "string",
      "company": "string",
      "address1": "string",
      "address2": "string",
      "city": { "_id": "string", "name": "string" },
      "province": { "_id": "string", "name": "string" },
      "country": { "_id": "string", "name": "string" },
      "phone": "string",
      "connectable": false,
      "route": "",
      "createdAt": "2024-01-01T00:00:00.000Z"
    }
  ],
  "paginate": {
        "total": 1,
        "per_page": 20,
        "current_page": 1,
        "last_page": 1
    }
}

Released under the MIT License.